<< sawtooth | FOSSEE_Signal_Processing_Toolbox | schurrc >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > schtrig

# schtrig

This function implements a multisignal Schmitt triggers with 'lvl' levels supplied as input.

### Syntax

    x = schtrig(x, lvl)
    lvl = schtrig(x, lvl, rst)

### Parameters

x:

  Vector or matrix of real numbers

lvl:

  Real number

rst:

  Boolean, default value is 'true'

### Description

This function implements a multisignal Schmitt triggers with 'lvl' levels supplied as input. The argument 1 is a matrix (or a vector) and this trigger works along its first dimension.

### Examples

    schtrig([0.2,-3,5], -4)

Report an issue
<< sawtooth | FOSSEE_Signal_Processing_Toolbox | schurrc >>